#2011, Eulalie Sauthier, Master Thesis


cross_corr <- function(input_data, input_data_2) { #sort le graphe de corrélation de 2 différentes façons
library(TSA) #load la library 

LM.decom<-decompose(input_data,"multiplicative") #décompose en tendances saisonières
z.decom<-decompose(input_data_2,"multiplicative") #décompose en tendances saisonières


#cross-correlations
pdf("../Image/ccf.pdf")
ccf(na.omit(z.decom$random), (na.omit(LM.decom$random)),main="Cross-Correlation Précipitations et Piézométries")
dev.off()

pdf("../Image/ccf_prewhiten.pdf")
prewhiten(y=LM_10,x=z,ylab='CCF', main="Piézomètres vs Précipitations")
dev.off()
}